﻿/*!
\file rdbsvg.js
\author  jiangyong
\version 1.0.1.3
\update 2020.3.27  for rdb2020.3

rdbsvg.js只是用在自动生成的html页面中，用于从sessionStorage中读取连接参数连接实时库。

如果是手工组织的html页面，调用了 rdbapi.js 中的 rdb_autologin()，则无需引入这个rdbsvg.js
参见 rdb_char_bar.html

用法:
<script defer="defer" src="js/md5.js"></script>
<script defer="defer" src="js/rdbapi.js"></script>
<script defer="defer" src="js/rdbsvgaction.js"></script>
<script defer="defer" src="js/rdbsvg.js"></script>
 */

svg_autoconnect(); //自动连接实时库

/**
 * 自动连接,连接参数存储在sessionStorage里面。
 * */
function svg_autoconnect() {
	if (!_wsobject) {
		try {
			var wsurl = sessionStorage.getItem("_sswsurl");
			var usr = sessionStorage.getItem("_sswsusr");
			var psw = sessionStorage.getItem("_sswspswd");
			if (!wsurl || !usr || !psw)
				return;
			ws_connect(wsurl, usr, psw);
		} catch (e) {
			console.log("ws_connect Err:", e);
			return;
		}		
	}
}

